// Extract comments from page
function extractComments() {
    const comments = new Set();

    // Find Draft.js editor content
    document.querySelectorAll('[data-text="true"]').forEach(element => {
        const text = element.textContent.trim();
        if (text) {
            comments.add(text);
        }
    });

    // Find Draft.js editor blocks
    document.querySelectorAll('.public-DraftStyleDefault-block').forEach(element => {
        const text = element.textContent.trim();
        if (text) {
            comments.add(text);
        }
    });

    // Find Draft.js editor content
    document.querySelectorAll('.public-DraftEditor-content').forEach(element => {
        const text = element.textContent.trim();
        if (text) {
            comments.add(text);
        }
    });

    return Array.from(comments);
}

// Listen for messages from popup
chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if (request.action === 'getComments') {
        const comments = extractComments();
        sendResponse({ comments });
    }
    return true; // Keep message channel open for async response
});